[Dev-luatex] beta 0.20.1 released

Aditya Mahajan adityam at umich.edu
Tue Dec 11 18:15:52 CET 2007


On Tue, 11 Dec 2007, Norbert Preining wrote:

> Hi Aditya,
>
> On Mo, 10 Dez 2007, Aditya Mahajan wrote:
>> Ubuntu gusty ships with libpoppler 0.6.2.1. However, I do not get any
>> suggested updates because I am using amd64 architecture, and I see that
>
> Ok, for you
> 	deb http://people.debian.org/~preining/TeX/ luatex-sid/
> 	deb-src http://people.debian.org/~preining/TeX/ luatex-sid/
>
> I will upload amd64 as soon as I can build them. In the meantime you can
> do:
>
> - add the above to /etc/apt/sources
> - aptitude update
> - apt-get source luatex
> - cd luatex-0.20.1
> - dpkg-buildpackage -us -uc -rfakeroot -b
> - cd ..
> - dpkg -i luatex*.deb

Thank you. I needed to install a few packages (libpoppler-dev, quilt, 
fakeroot), and after that everything compiled correctly.

What is required for building a .deb file for amd64 for distribution. Can 
the luatex_0.20.1-1_amd64.deb that I built by the above process be used on 
other amd64 machines? If so, then maybe I can upload the file somewhere.

Aditya


More information about the dev-luatex mailing list